%define autorelease(e:s:pb:n) %{?-p:0.}%{lua:
    release_number = 13;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{!?-n:%{?dist}}

%bcond_without check
%global debug_package %{nil}

%global crate random-trait

Name:           rust-random-trait
Version:        0.1.1
Release:    1%{?dist}
Summary:        Rust library for a random trait meant to produce random generic types

License:        MIT OR Apache-2.0
URL:            https://crates.io/crates/random-trait
Source0:        %{crates_source}
Source1:        https://github.com/elichai/random-rs/raw/bd98b95/LICENSE-APACHE
Source2:        https://github.com/elichai/random-rs/raw/bd98b95/LICENSE-MIT

BuildRequires:  rust-packaging >= 21

%global _description %{expand:
Rust library for a random trait meant to produce random generic types.}

%description %{_description}

%package        devel
Summary:        %{summary}
BuildArch:      noarch

%description    devel %{_description}

This package contains library source intended for building other packages which
use the "%{crate}" crate.

%files          devel
%license LICENSE-APACHE
%license LICENSE-MIT
%{crate_instdir}/

%package     -n %{name}+default-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+default-devel %{_description}

This package contains library source intended for building other packages which
use the "default" feature of the "%{crate}" crate.

%files       -n %{name}+default-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+doc-comment-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+doc-comment-devel %{_description}

This package contains library source intended for building other packages which
use the "doc-comment" feature of the "%{crate}" crate.

%files       -n %{name}+doc-comment-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+u128-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+u128-devel %{_description}

This package contains library source intended for building other packages which
use the "u128" feature of the "%{crate}" crate.

%files       -n %{name}+u128-devel
%ghost %{crate_instdir}/Cargo.toml

%prep
%autosetup -n %{crate}-%{version_no_tilde} -p1
%cargo_prep
cp -pav %{SOURCE1} %{SOURCE2} .

%generate_buildrequires
%cargo_generate_buildrequires

%build
%cargo_build

%install
%cargo_install

%if %{with check}
%check
%ifarch s390x
%cargo_test || :
%else
%cargo_test
%endif
%endif

%changelog
* Tue Jun 18 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 0.1.1-1
- initial build
